Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class Tuple

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              groovy.lang.Tuple

    public class Tuple
    extends AbstractList

Represents a list of Integer objects from a specified int up to but not including a given and to.

Authors:
  James Strachan

Version:
  \$Revision: 6778 \$

Constructor Summary
`Tuple(Object[] contents)`

Method Summary
`boolean` | `equals(Object that)`
`boolean` | `equals(Tuple that)`
`Object` | `get(int index)`
`int` | `hashCode()`
`int` | `size()`
`List` | `subList(int fromIndex, int toIndex)`

Methods inherited from class AbstractList
add, add, get, equals, hashCode, indexOf, clear, lastIndexOf, subList, addAll, iterator, remove, set, listIterator, listIterator, toString, size, isEmpty, contains, toArray, toArray, addAll, remove, containsAll, removeAll, retainAll, wait, wait, wait, getClass, notify, notifyAll, size

Methods inherited from class AbstractCollection
add, toString, clear, size, isEmpty, contains, toArray, toArray, addAll, iterator, remove, containsAll, removeAll, retainAll, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### Tuple

    public Tuple(Object[] contents)

Method Detail

### equals

    public boolean equals(Object that)

### equals

    public boolean equals(Tuple that)

### get

    public Object get(int index)

### hashCode

    public int hashCode()

### size

    public int size()

### subList

    public List subList(int fromIndex, int toIndex)

Copyright © 2003-2010 The Codehaus. All rights reserved.